Преузмите и инсталирајте .НЕТ 5.0.5 (оффлине инсталатери)

Мицрософт је објавио следећу стабилну верзију за .НЕТ 5, .НЕТ 5.0.5 . Уклонили су реч Фрамеворк и сада се назива само .НЕТ 5. То је зато што је .НЕТ 5 сада јединственији алат који комбинује .НЕТ Фрамеворк, .НЕТ Цоре, као и Моно/Ксамарин.



Ово издање не укључује безбедносна ажурирања, већ ради одржавања .НЕТ -ове поузданости. Садржи и неке друге безбедносне исправке. Мицрософт је радио и на побољшању неких спремишта о чему ће бити речи у наставку чланка.

Преузмите програме за инсталацију ван мреже НЕТ 5.0.5

Ако користите Виндовс 10 верзију 1809 или новију, вероватно ћете је имати .НЕТ Фрамеворк 4.8 . Можете ручно надоградити на .НЕТ 5.0.5 помоћу доленаведених веза за преузимање. Такође можете надоградити своју апликацију на .НЕТ 5 без обзира на верзију Фрамеворк -а коју тренутно користе помоћу .НЕТ Упграде Ассистант -а. Брзи резиме сакрити 1 Нове функције и побољшања у .НЕТ 5.0.5 1.1 .НЕТ 5 Грешке при враћању НуГета у дистрибуцијама Линука 1.2 Ажуриране слике Доцкера 1.3 Исправке грешака за Рунтиме и Виндовс СДК пројекције 2 Подржани оперативни системи/захтеви 3 Преузмите .НЕТ 5.0.5 3.1 Рунтиме 3.2 СДК -ови 4 Инсталирајте .НЕТ 5.0.5 5 Завршне речи



Хајде да видимо шта ово ново издање доноси програмерима.

Нове функције и побољшања у .НЕТ 5.0.5

.НЕТ 5 Грешке при враћању НуГета у дистрибуцијама Линука

Проблем који је узроковао неуспех обнављања НуГета на Линуку решен је .НЕТ СДК 5.0.202, који је наравно укључен у .НЕТ 5.0.5. До тога је дошло због истеклих НуГет сертификата и због промена у коренским складиштима сертификата на Линуку, које носе ца-сертификати и НСС пакети.

Више о овом поправку можете прочитати у Мицрософтов блог пост .

Ажуриране слике Доцкера



Мицрософт је последњих месеци ажурирао своје слике докера у сваком издању. Сада можете заједно покренути најновија издања .НЕТ -а и Доцкера помоћу наредбе испод: | _+_ |

Кликните да бисте погледали још примера недавних ажурирања Доцкер слика овде . Надаље, ажурирана су и следећа спремишта:

Мицрософт је направио сличне промене у својим последњим стабилним издањима .НЕТ 5.0.4 и .НЕТ 5.0.3. Чини се да они стално раде на побољшању Доцкер искуства за своје потрошаче.

Исправке грешака за Рунтиме и Виндовс СДК пројекције



.НЕТ СДК 5.0.202 садржи поправке за програмере који циљају одређене верзије Виндовс СДК -а у свом пројекту ТаргетФрамеворк. Погледајте ове белешке о издању да бисте сазнали више о исправкама.

Подржани оперативни системи/захтеви

.НЕТ 5 се може инсталирати на Виндовс 10 в1703 или новији. То је зато што је то само компатибилно са Висуал Студио 2019 16.8 Превиев 4 и изнад. Од поменутог Висуал Студио 2019 је компатибилан само са следећим оперативним системима .НЕТ 5.0.5 такође подржава само следеће варијанте оперативног система Виндовс и сервера:

  • Виндовс 10 верзија 1703 или новија. Издања: Кућна, Професионална, Образовна и Предузећа (ЛТСЦ и С нису подржани)
  • Виндовс Сервер 2019. Издања: Стандард и Датацентер
  • Виндовс Сервер 2016. Издања: Стандард и Датацентер
  • Виндовс 8.1 (са Ажурирајте КБ2919355 ). Издања: Цоре, Профессионал и Ентерприсе
  • Виндовс Сервер 2012 Р2 (са Ажурирајте КБ2919355 ). Издања: Ессентиалс, Стандард, Датацентер
  • Виндовс 7 СП1 (са најновијим ажурирањима за Виндовс) Издања: Хоме Премиум, Профессионал, Ентерприсе, Ултимате



Штавише, бинарни фајлови су такође доступни за к86, к64, АРМ64, мацОС и Линук системе.

Преузмите .НЕТ 5.0.5

Користите доње везе за директно преузимање за преузимање .НЕТ 5.0.5 Рунтиме и СДК -ова, у складу са вашим оперативним системом и битном архитектуром:

Рунтиме

Преузмите .НЕТ Десктоп Рунтиме 5.0.5 за Виндовс к64

Преузмите .НЕТ Десктоп Рунтиме 5.0.5 за Виндовс к86

Преузмите .НЕТ Рунтиме 5.0.5 за Виндовс АРМ64

Преузмите .НЕТ Рунтиме 5.0.5 за мацОС

Преузмите .НЕТ Рунтиме 5.0.5 бинарне датотеке за Линук Арм32

Преузмите .НЕТ Рунтиме 5.0.5 бинарне датотеке за Линук Арм64

Преузмите .НЕТ Рунтиме 5.0.5 бинарне датотеке за Линук Арм64 Алпине

Преузмите .НЕТ Рунтиме 5.0.5 бинарне датотеке за Линук к64

Преузмите .НЕТ Рунтиме 5.0.5 бинарне датотеке за Линук к64 Алпине

СДК -ови

Преузмите .НЕТ СДК 5.0.202 за Виндовс к64

Преузмите .НЕТ СДК 5.0.202 за Виндовс к86

Преузмите .НЕТ СДК 5.0.202 за Виндовс АРМ64

Преузмите .НЕТ СДК 5.0.202 за мацОС

Преузмите .НЕТ СДК 5.0.202 Бинарне датотеке за Линук Арм32

Преузмите .НЕТ СДК 5.0.202 Бинарне датотеке за Линук Арм64

Преузмите .НЕТ СДК 5.0.202 Бинарне датотеке за Линук Арм64 Алпине

Преузмите .НЕТ СДК 5.0.202 Бинарне датотеке за Линук к64

Преузмите .НЕТ СДК 5.0.202 Бинарне датотеке за Линук к64 Алпине

Више опција за преузимање и инсталирање овде .

Инсталирајте .НЕТ 5.0.5

Сада када сте преузели одговарајући инсталацијски пакет, можете га почети инсталирати. Инсталација .НЕТ 5.0.5 је једноставан процес. Преузмите датотеку са горе наведених веза и извршите је за инсталацију.

Након што га инсталирате, све ваше апликације ће се покренути користећи нову верзију јер ће претходна верзија бити замењена.

  1. Покрените инсталациони пакет двоструким кликом на њега (у случају мацОС-а и Виндовс-а), а затим кликните Инсталирај на чаробњаку за инсталацију.

  2. Инсталација ће сада почети. Не одузима много времена нити захтева поновно покретање. Кликните Близу након што је успешно инсталиран.

Сада сте инсталирали .НЕТ 5.0.5. Можеш проверите која је .НЕТ верзија покренута уписивањем следеће наредбе у командну линију: | _+_ |

Завршне речи

Препоручујемо да ако сте раније користили .НЕТ Фрамеворк за развој својих апликација, одмах их ажурирајте на најновију верзију помоћу помоћника за надоградњу. Упграде Ассистант је алат који је развио Мицрософт тако да програмери могу лако надоградити своје постојеће апликације како би подржали новије верзије .НЕТ -а и његове функције.